//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_SpineHandlerWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(SpineHandler), typeof(UnityEngine.MonoBehaviour));
        L.RegFunction("SetEventID",FUNCTAG_SetEventID);
		L.RegFunction("SetFlipX",FUNCTAG_SetFlipX);
		L.RegFunction("SetFlipY",FUNCTAG_SetFlipY);
		L.RegFunction("SetAnimation",FUNCTAG_SetAnimation);
		L.RegFunction("AddAnimation",FUNCTAG_AddAnimation);
		L.RegFunction("GetAnimationNames",FUNCTAG_GetAnimationNames);
		L.RegFunction("StopAnimation",FUNCTAG_StopAnimation);
		L.RegFunction("SetTimeScale",FUNCTAG_SetTimeScale);
		L.EndClass();
	}

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_SetEventID(IntPtr L)
    {
        try
        {
            ToLua.CheckArgsCount(L, 2);
            SpineHandler obj = (SpineHandler)ToLua.CheckObject(L, 1, typeof(SpineHandler));
            int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
            obj.FUNCTAG_SetEventID(arg0);
            return 0;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetFlipX(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			SpineHandler obj = (SpineHandler)ToLua.CheckObject(L, 1, typeof(SpineHandler));
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.FUNCTAG_SetFlipX(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetFlipY(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			SpineHandler obj = (SpineHandler)ToLua.CheckObject(L, 1, typeof(SpineHandler));
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.FUNCTAG_SetFlipY(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetAnimation(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 6);
			SpineHandler obj = (SpineHandler)ToLua.CheckObject(L, 1, typeof(SpineHandler));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			string arg1 = ToLua.CheckString(L, 3);
			bool arg2 = LuaDLL.luaL_checkboolean(L, 4);
            string arg3 = ToLua.CheckString(L, 5);
            string arg4 = ToLua.CheckString(L, 6);
            obj.FUNCTAG_SetAnimation(arg0, arg1, arg2, arg3, arg4);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_AddAnimation(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 7);
			SpineHandler obj = (SpineHandler)ToLua.CheckObject(L, 1, typeof(SpineHandler));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			string arg1 = ToLua.CheckString(L, 3);
			bool arg2 = LuaDLL.luaL_checkboolean(L, 4);
			float arg3 = (float)LuaDLL.luaL_checknumber(L, 5);
            string arg4 = ToLua.CheckString(L, 6);
            string arg5 = ToLua.CheckString(L, 7);
            obj.FUNCTAG_AddAnimation(arg0, arg1, arg2, arg3, arg4, arg5);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_GetAnimationNames(IntPtr L)
    {
        try
        {
            ToLua.CheckArgsCount(L, 1);
            SpineHandler obj = (SpineHandler)ToLua.CheckObject(L, 1, typeof(SpineHandler));
            string[] array = obj.FUNCTAG_GetAnimationNames();
            if (array != null && array.Length > 0)
            {
                LuaDLL.lua_newtable(L);
                int top = LuaDLL.lua_gettop(L);
                for (int i = 0; i < array.Length; i++)
                {
                    ToLua.Push(L, i);
                    ToLua.Push(L, array[i]);
                    LuaDLL.lua_settable(L, -3);
                }
                LuaDLL.lua_settop(L, top);
                return 1;
            }
            return 0;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e);
        }
    }

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_StopAnimation(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			SpineHandler obj = (SpineHandler)ToLua.CheckObject(L, 1, typeof(SpineHandler));
			obj.FUNCTAG_StopAnimation();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetTimeScale(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			SpineHandler obj = (SpineHandler)ToLua.CheckObject(L, 1, typeof(SpineHandler));
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.FUNCTAG_SetTimeScale(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}
}

